CLI.PY(1)

NAME
cli.py - BDD test engine based on Vows.js

DESCRIPTION
usage: cli.py [-h] [-p PATTERN] [-e EXCLUDE]

    [-i INCLUDE] [-c] [-l PACKAGE] [-o FILE] [-t NUMBER] [-r FILE] [-x] [-f FILE] [--profile] [--profile-threshold NUM] [--template] [--no-color] [--progress] [--version] [--capture-output] [-v] [path]

Run PyVows tests.

  positional arguments:

path
    Directory to look for vows recursively. If a file is passed,the file will be the target for vows. (default: '.').

  options:

-h, --help
    show this help message and exit

-p PATTERN, --pattern PATTERN
    Pattern of vows files. (default: '*_vows.py')

-e EXCLUDE, --exclude EXCLUDE
    Exclude tests and contexts that match regex-pattern EXCLUDE [Mutually exclusive with --include]

-i INCLUDE, --include INCLUDE
    Include only tests and contexts that match regexpattern INCLUDE [Mutually exclusive with --exclude]

--no-color
    Turn off colorized output. (default: False)

--progress
    Show progress ticks during testing. (default: False)

--version
    show program's version number and exit

--capture-output
    Capture stdout and stderr during test execution (default: False)

-v  Verbosity. May be specified many times to increase verbosity (default: -vv)

  Test Coverage:

-c, --cover
    Show the code coverage of tests. (default: False)

-l PACKAGE, --cover-package PACKAGE
    Verify coverage of PACKAGE. May be specified many times. (default: all packages)

-o FILE, --cover-omit FILE
    Exclude FILE from coverage. May be specified many times. (default: no files)

-t NUMBER, --cover-threshold NUMBER
    Coverage below NUMBER is considered a failure. (default: 80.0)

-r FILE, --cover-report FILE
    Store coverage report as FILE. (default: None)

  XUnit:

-x, --xunit-output
    Enable XUnit output. (default: False)

-f FILE, --xunit-file FILE
    Store XUnit output as FILE. (default: 'pyvows.xml')

  Profiling:

--profile
    Prints the 10 slowest topics. (default: False)

--profile-threshold NUM
    Tests taking longer than NUM seconds are considered slow. (default: 0.1)

  Utility:

--template
    Print a PyVows test file template. (Disables testing)